
/* TYPING ANIMATION */
.typing {
  border-right: 3px solid #fff;
  padding-right: 5px;
  animation: blink 0.7s infinite;
  font-size: 1.8rem;
}
@keyframes blink {
  0% { border-color: transparent; }
  50% { border-color: #fff; }
  100% { border-color: transparent; }
}


/* PRELOADER */
#preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #111;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    transition: opacity 0.5s ease;
}
.loader {
    width: 50px;
    height: 50px;
    border: 5px solid #333;
    border-top: 5px solid orange;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}
@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}


/* TOP MENU SCROW EFFECT */
.scroll-element { 
    opacity: 0; 
    transform: translateY(50px); 
    transition: all 0.6s ease-out; 
} 
.scroll-element.visible { 
    opacity: 1; 
    transform: translateY(0); 
}

/* SLIDE TOP */
.slidetop {
    transform: translateY(15px);
    transition: all 1.5s;
    opacity: 0;
}
.slidetop.active {
    transform: translateX(0);
    /* border: none; */
    opacity: 1;
}

/* SLIDE LEFT */
.slideleft {
    transform: translateX(-15px);
    transition: all 1.5s;
    opacity: 0;
}
.slideleft.active {
    transform: translateX(0);
    /* border: none; */
    opacity: 1;
}

/* ZOOM IN */
.zoom-in { 
    transform: scale(0.8); /* start smaller */ 
    transition: all 1.5s ease; /* smooth zoom */ 
    opacity: 0; /* hidden initially */ 
} 
.zoom-in.active { 
    transform: scale(1); /* zoom to normal size */ 
    /* border: none; */
    opacity: 1; /* fully visible */ 
}